# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/connections/{name_arg}`

Gets a connection from it's name.

API scopes: unity-catalog

## Path parameters

- `name_arg` (string, optional)
  Name of the connection.

## Returns

Returns the ConnectionInfo object.

## Response

```json
{
  "name": "string",
  "connection_type": "string",
  "owner": "string",
  "read_only": true,
  "comment": "string",
  "environment_settings": {
    "java_dependencies": [
      "string"
    ],
    "environment_version": "string"
  },
  "full_name": "string",
  "url": "string",
  "credential_type": "string",
  "connection_id": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "securable_type": "string",
  "provisioning_info": {
    "state": "string"
  },
  "options": {},
  "properties": {}
}
```

